Get charts by deployment. Currently unavailable in self-hosted ECE.

Base URL
https://api.elastic-cloud.com/api/v1
No auth Deprecated

Retrieves the usage charts for the given deployment.

Path parameters

organization_id string required

Identifier for the organization

deployment_id string required

Id of a Deployment

Query parameters

from string

A datetime for the beginning of the desired range for which to fetch costs. Defaults to start of current month.

to string

A datetime for the end of the desired range for which to fetch costs. Defaults to the current date.

bucketing_strategy enum · default: daily

The desired bucketing strategy for the charts. Defaults to daily.

Values: daily monthly

Responses

The usage charts of a deployment.

application/json
data object[] required

The list of chart item

timestamp integer · format: int64 required

Axis X position

values object[] required

the collection of values to plot the chart item

id string required

The id of chart item value

name string required

The name of the chart item value

value number · format: double required

The actual value of the chart item value

Base URL
https://api.elastic-cloud.com/api/v1